# Key Derivation

Email
Master Password
Client PBKDF2 Iterations

## Master Key

    {{masterKey.b64}}

## Master Password Hash

    {{masterKeyHash.b64}}

## Generated Symmetric Key

    {{symKey.key.b64}}

### Encryption Key

    {{symKey.encKey.b64}}

### MAC Key

    {{symKey.macKey.b64}}

### Protected Symmetric Key

    {{protectedSymKey.string}}

## Generated RSA Keypair

### Public Key

    {{publicKey.b64}}

### Private Key

    {{privateKey.b64}}

### Protected Private Key

    {{protectedPrivateKey.string}}

# Encryption

Secret Value

## The "Cipher String"

    {{protectedSecret.string}}

## Decrypt